Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.datatype
Class DatatypeConstants.Field

    java.lang.Object
      javax.xml.datatype.DatatypeConstants.Field

Enclosing class:
  DatatypeConstants

    public static final class DatatypeConstants.Field

extends Object

Type-safe enum class that represents six fields of the `Duration` class.

Method Summary
`int` | `getId()` Get id of this Field.
`String` | `toString()` Returns a field name in English.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Returns a field name in English. This method is intended to be used for debugging/diagnosis and not for display to end-users.

  Overrides:
    `toString` in class `Object`
  Returns:
    a non-null valid String constant.

### getId

    public int getId()

  Get id of this Field.

  Returns:
    Id of field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.